package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.CategoryModel

interface CategoryInteractor {

    interface View {
        fun onGetCategorySucceed(category: ArrayList<CategoryModel>)
        fun onGetCategoryFailed(error: VolleyError)
    }

    interface Presenter {
        fun onGetCategory(phoneNumber: String)
    }
}